PARTED(8)

NOME
parted - un programma per la manipolazione delle partizioni

SINTASSI
parted [opzioni] [dispositivo [comando [opzioni ...] ...]]

DESCRIZIONE
parted è un programma per manipolare le partizioni del disco. Supporta molti formati di tabella delle partizioni, compresi MS-DOS e GPT. È utile per creare spazio per nuovi sistemi operativi, riorganizzare l'uso del disco e copiare dati su nuovi dischi rigidi.

Questa pagina di manuale documenta parted brevemente. La documentazione completa è distribuita con il pacchetto in formato GNU Info.

OPZIONI

-h, --help
    visualizza un messaggio di aiuto

-l, --list
    elenca lo schema delle partizioni di tutti i dispositivi a blocchi

-m, --machine
    visualizza un'output interpretabile dalla macchina

-j, --json
    visualizza output JSON

-s, --script
    never prompts for user intervention. Automatically answers 'NO' if a warning is encountered, eg. when shrinking a partition.

-f, --fix
    automaticamente risponte "fix" alle eccezioni in modalità script

-v, --version
    visualizza la versione

-a tipo-allineamento, --align tipo-allineamento
    Imposta l'allineamento per le partizioni appena create, tipi di argomenti validi sono:

    none
        Usa l'allineamento minimo consentito dal tipo di disco.

    cylinder
        Allinea le partizioni ai cilindri.

    minimal
        Usa l'allineamento minimo, come dato dalle informazioni della topologia del disco. Questo e il valore opt utilizzerà le informazioni di layout fornite dal disco per allineare gli indirizzi della tabella delle partizioni logiche ai reali blocchi fisici sui dischi. Il valore minimo è il più piccolo allineamento necessario per allineare correttamente la partizione ai blocchi fisici, che eviti il degrado delle prestazioni.

    optimal
        Utilizza un allineamento ottimale come dato dalle informazioni della topologia del disco. Questo allinea a un multiplo della dimensione fisica del blocco in modo da garantire prestazioni ottimali.

COMANDI

[dispositivo]
    Il dispositivo di blocco da utilizzare. Quando non ne viene indicato nessuno, parted utilizzerà il primo dispositivo a blocchi che trova.

[comando [opzioni]]
    Specificare il comando da eseguire. Se non viene fornito alcun comando, parted mostrerà un prompt per scrivere il comando. I comandi possibili sono:

    help [comando]
        Stampa un aiuto generale, o l'aiuto del comando se specificato.

    align-check tipo partizione
        Controlla se partizione soddisfa i vincoli di allineamento di tipo. tipo deve essere "minimal" o "optimal".

    mklabel tipo-tabella
        Crea una nuova tabella delle partizioni (disklabel) di tipo-tabella specificato. tipo-tabella dovrebbe essere una tra "aix", "amiga", "bsd", "dvh", "gpt", "loop", "mac", "msdos", "pc98" o "sun".

    mkpart [tipo-partizione nome tipo-fs] inizio fine
        Crea una nuova partizione. Può essere specificato tipo-partizione solo con tabelle delle partizioni msdos e dvh, dovrebbe essere una tra "primary" (primaria), "logical" (logica), o "extended" (estesa). nome è richiesto per le tabelle delle partizioni GPT, e tipo-fs è opzionale. tipo-fs può essere uno tra "btrfs", "ext2", "ext3", "ext4", "fat16", "fat32", "hfs", "hfs+", "linux-swap", "ntfs", "reiserfs", "udf", o "xfs".

    name partizione nome
        Imposta il nome della partizione a nome. Questa opzione funziona solo su tabelle delle partizioni di tipo Mac, PC98 e GPT. Il nome può essere messo tra virgolette, se necessario. E a seconda della shell può renderesi necessario che siano anche delimitate da apici songoli in modo che la shell non rimuova le virgolette.

    print cosa-mostrare
        Mostra la tabella delle partizioni. cosa-mostrare è opzionale e può essere uno tra «devices» (dispositivi), «free» (spazio libero), «list» (elenco), «all» (tutto).

    quit
        Uscita di parted.

    rescue inizio fine
        Recupera una partizione perduta che era allocata da qualche parte tra inizio e fine. Se viene trovata una partizione, parted chiederà se si desidera creare una voce per questa nella tabella delle partizioni.

    resizepart partizione fine
        Cambia la posizione di fine della partizione. Notare che questo non modifica nessun filesystem presente nella partizione.

    rm partizione
        Cancella partizione.

    select dispositivo
        Sceglie dispositivo come dispositivo corrente da editare. dispositivo di solito dovrebbe essere un disco rigido Linux, ma può essere una partizione, dispositivo RAID software, o un volume logico LVM se necessario.

    set partizione flag stato
        Modifica lo stato del flag su partizione in stato. I flag supportati sono: "boot", "root", "swap", "hidden", "raid", "lvm", "lba", "legacy_boot", "irst", "msftres", "esp", "chromeos_kernel", "bls_boot", "linux-home", "no_automount", "bios_grub" e "palo". stato dovrebbe essere "on" o "off".

    unit unità
        Imposta unità come unità da utilizzare per la visualizzazione di posizioni e dimensioni, e nell'interpretare quelli indicati dall'utente quando non hanno un'unità esplicitata nel suffisso. unità può essere una tra "s" (settori), "B" (byte), "kB", "MB", "KiB", "MiB", "GB", "GiB", "TB", "TiB", "% " (percentuale della dimensione del dispositivo), "cyl" (cilindri), "chs" (cilindri, testine, settori), o "compact" (megabyte per l'input, e una forma intelligibile per l'output).

    toggle partizione flag
        Commuta lo stato del flag sulla partizione.

    type partizione id o uuid
        Su MS-DOS imposta il tipo, cioè l'identificativo della partizione a id. L'id è un valore tra 0x01 e 0xff. Su GPT imposta il l'uuid del tipo partizione della partizione a uuid.

    disk_set flag stato
        Change a flag on the disk to state. A flag can be either "on" or "off". Some or all of these flags will be available, depending on what disk abel you are using. Supported flags are: "pmbr_boot" on GPT to enable the boot flag on the GPT's protective MBR partition.

    disk_toggle flag
        Commuta lo stato del flag sul disco.

    version
        Mostra informazioni sulla versione e un messaggio di copyright.

UNITS
parted will compute sensible ranges for the locations you specify when using units like "GB", "MB", etc. Use the sector unit "s" or IEC binary units like "GiB", "MiB", to specify exact locations. When you specify start or end values using IEC binary units like "MiB", "GiB", "TiB", etc., parted treats those values as exact, and equivalent to the same number specified in bytes (i.e., with the "B" suffix), in that it provides no helpful range of sloppiness. Contrast that with a partition start request of "4GB", which may actually resolve to some sector up to 500MB before or after that point. Thus, when creating a partition in an exact location you should use units of bytes ("B"), sectors ("s"), or IEC binary units like "MiB", "GiB", but not "MB", "GB", etc.

SEGNALAZIONE BUG
Segnalare i bug a <bug-parted@gnu.org>

VEDERE ANCHE
fdisk(8), mkfs(8), The parted program is fully documented in the info(1) format GNU partitioning software manual which is distributed with the parted-doc Debian package.

AUTORE
Questa pagina di manuale è stata scritta da Timshel Knoll <timshel@debian.org>, per sistemi Debian GNU/Linux (ma può essere utilizzato da altri).

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Valerio Dodet <dodetvalerio@tiscali.it>, Marco Curreli <marcocurreli@tiscali.it> e Giuseppe Sacco <eppesuig@debian.org>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.